Bug 146060 - new port: devel/p5-Pid-Quick "Associates a PID file with your script"
Summary: new port: devel/p5-Pid-Quick "Associates a PID file with your script"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-26 10:50 UTC by Eric Freeman
Modified: 2010-08-23 06:24 UTC (History)
0 users

See Also:


Attachments
file.shar (2.70 KB, text/plain)
2010-04-26 10:50 UTC, Eric Freeman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Freeman 2010-04-26 10:50:01 UTC
Simple perl module port for File::Pid-Quick

This module associates a PID file with your script for the purpose
of keeping more than one copy from running (concurrency prevention).
It creates the PID file, checks for its existence when the script
is run, terminates the script if there is already an instance running,
and removes the PID file when the script finishes.

This module's objective is to provide a completely simplified
interface that makes adding PID-file-based concurrency prevention
to your script as quick and simple as possible; hence File::Pid::Quick.
For a more nuanced implementation of PID files, please see File::Pid.

http://search.cpan.org/dist/File-Pid-Quick/Quick.pm

How-To-Repeat: n/a
Comment 1 dfilter service freebsd_committer 2010-05-08 09:54:31 UTC
wen         2010-05-08 08:54:22 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-File-Pid-Quick Makefile distinfo pkg-descr pkg-plist 
  Log:
  This module associates a PID file with your script for the purpose
  of keeping more than one copy from running (concurrency prevention).
  It creates the PID file, checks for its existence when the script
  is run, terminates the script if there is already an instance running,
  and removes the PID file when the script finishes.
  
  This module's objective is to provide a completely simplified
  interface that makes adding PID-file-based concurrency prevention
  to your script as quick and simple as possible; hence File::Pid::Quick.
  For a more nuanced implementation of PID files, please see File::Pid.
  
  WWW: http://search.cpan.org/dist/File-Pid-Quick/Quick.pm
  
  PR:             ports/146060
  Submitted by:   Eric Freeman <freebsdports@chillibear.com>
  
  Revision  Changes    Path
  1.3916    +1 -0      ports/devel/Makefile
  1.1       +25 -0     ports/devel/p5-File-Pid-Quick/Makefile (new)
  1.1       +3 -0      ports/devel/p5-File-Pid-Quick/distinfo (new)
  1.1       +12 -0     ports/devel/p5-File-Pid-Quick/pkg-descr (new)
  1.1       +7 -0      ports/devel/p5-File-Pid-Quick/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 Wen Heping freebsd_committer 2010-05-08 09:55:08 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 3 Philip M. Gollucci freebsd_committer 2010-08-23 06:24:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen